## public Election::getConstraints

### Description    

```php
public Election->getConstraints ( ): array
```

Get active constraints list.
    

### Return value:   

*(```array```)* Array with class name of each active constraint. Empty array if there is not.


---------------------------------------

### Related method(s)      

* [Election::clearConstraints](../Election%20Class/public%20Election--clearConstraints.md)    
* [Election::addConstraints](../Election%20Class/public%20Election--addConstraints.md)    
* [Election::testIfVoteIsValidUnderElectionConstraints](../Election%20Class/public%20Election--testIfVoteIsValidUnderElectionConstraints.md)    

---------------------------------------

### Examples and explanation

* **[Manual - Vote Constraints](https://github.com/julien-boudry/Condorcet/wiki/II-%23-C.-Result-%23-5.-Vote-Constraints)**    
